Page MenuHomePhabricator

Using Wikivoyage kartographer settings on German Wikisource
Closed, DeclinedPublic

Description

I was asked to setup the same map features to German Wikisource that we have on Wikivoyage/de. The kartographer seems to be enabled but we need some configuration settings. Please use the same settings that we have on German Wikivoyage. Our admin gave me these settings (
https://noc.wikimedia.org/conf/InitialiseSettings.php.txt ):

// Wikivoyage-Mode einschalten für durchnummerierte Marker
'wgKartographerWikivoyageMode' => [
    'default' => false,
    'mediawikiwiki' => true,
    'wikivoyage' => true,
],

// Wikivoyage-Mode einschalten für durchnummerierte Marker
'wgKartographerUseMarkerStyle' => [
    'default' => false,
    'mediawikiwiki' => true,
    'wikivoyage' => true,
],

We assume, these settings are suitable for Wikisource already:

'wgKartographerStaticMapframe'
'wgKartographerEnableMapFrame'

Event Timeline

DerFussi created this task.Sep 21 2017, 3:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2017, 3:48 PM
Zoranzoki21 added a subscriber: Zoranzoki21.

@DerFussi Could you please provide a link with a discussion which approved this?

For just a variable? We did not request an extension. The kartographer is available on Wikisource already. Its just a configuration setting to have it work properly. I will try.

For just a variable? We did not request an extension. The kartographer is available on Wikisource already. Its just a configuration setting to have it work properly. I will try.

OK.. If consensus need not, I will made a patch.

debt added a subscriber: debt.Sep 22 2017, 1:38 PM

@DerFussi - can you explain what you're wanting to do with this change? Are you wanting mapframe to be enabled on dewikisource? Here is a list of sites that have mapframe enabled: https://www.mediawiki.org/wiki/Maps#Wikimedia_projects_that_have_Maps_enabled.

Maplink is enabled already on all sites and projects.

Please do not assume that since something is working on dewikivoyage, that it would automatically also work on dewikisource.

@Zoranzoki21 - please hold off on your patch until we fully understand what is desired by dewikisource and @DerFussi.

Zoranzoki21 added a comment.EditedSep 22 2017, 1:39 PM

@DerFussi - can you explain what you're wanting to do with this change? Are you wanting mapframe to be enabled on dewikisource? Here is a list of sites that have mapframe enabled: https://www.mediawiki.org/wiki/Maps#Wikimedia_projects_that_have_Maps_enabled.
Maplink is enabled already on all sites and projects.
Please do not assume that since something is working on dewikivoyage, that it would automatically also work on dewikisource.
@Zoranzoki21 - please hold off on your patch until we fully understand what is desired by dewikisource and @DerFussi.

Ok @debt

DerFussi added a comment.EditedSep 23 2017, 7:21 AM

@debt I am aware of that. Thats why we asked for these settings and use the "wikivoyage" mode of the kartographer. I have asked a @RolandUnger to write a more detailed explanation here.

The setting of the variables is necessary not only to enable maplink and mapframe tags but to enable the so called Wikivoyage mode. This mode allows the usage of the autonumbering feature with maplink as it was developed mainly for Wikivoyage. It adds the marker features including the deployment of additional Kartographer styles and Javascripts. At https://www.mediawiki.org/wiki/Extension:Kartographer these additional goals are described:

  • "Ability to incrementally add features to the map. For example, each usage of the restaurant template adds a single POI, and the map shows all of them.
  • Added features need to be indexable. E.g. the first restaurant template would show [1] on the page, and map would show POI as a clickable [1] element. There could be multiple index counters at the same time, each for its own type of POIs."

See also at: https://www.mediawiki.org/wiki/Help:Extension:Kartographer , Section <maplink> and auto-counters.

debt added a comment.Sep 25 2017, 10:48 PM

Thanks for the additional information, @DerFussi and @RolandUnger, it helps to clarify things.

de.wikisource already has mapframe enabled on it, so you can create maps that uses the incremental numbering. You can see a sample map that I created here.

However, be aware that the 'Group' functionality is only available for Wikivoyages and no other projects.

Unless there is anything else that we should look at, I don't think there is any work for anyone to do on this ticket, as the functionality you're wanting is already 'on' de.wikisource.

Restricted Application added a subscriber: Jayprakash12345. · View Herald TranscriptSep 25 2017, 10:48 PM

Autonumbering and groups belong together for temporary selection of groups. In particular, this is useful for maps used in articles which are usually smaller than the full-screen mode.

Maybe it makes sense the check the usefulness of this group feature in other projects.

debt closed this task as Declined.Sep 28 2017, 8:49 PM

Maybe it makes sense the check the usefulness of this group feature in other projects.

@RolandUnger I agree that having the 'Group' functionality in more projects than just Wikivoyage would be very useful, but it would require a significant amount of engineering resources and time that we just don't have right now.

Closing this ticket as there isn't anything for the Maps team to do, since mapframe is already enabled on dewikisource.